Open CASCADE Technology: AIS_DimensionOwner Class Reference

Open CASCADE Technology 6.8.0

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Public Member Functions
AIS_DimensionOwner Class Reference

The owner is the entity which makes it possible to link the sensitive primitives and the reference shapes that you want to detect. It stocks the various pieces of information which make it possible to find objects. An owner has a priority which you can modulate, so as to make one entity more selectable than another. You might want to make edges more selectable than faces, for example. In that case, you could attribute sa higher priority to the one compared to the other. An edge, could have priority 5, for example, and a face, priority 4. The default priority is 5. More...

`#include <AIS_DimensionOwner.hxx>`

Inheritance diagram for AIS_DimensionOwner:
[legend]

## Public Member Functions
| AIS_DimensionOwner (const Handle< SelectMgr_SelectableObject > &theSelObject, const AIS_DimensionSelectionMode theSelMode, const Standard_Integer thePriority=0)
| Initializes the dimension owner, theSO, and attributes it the priority, thePriority. More...
AIS_DimensionSelectionMode | SelectionMode () const
virtual void | HilightWithColor (const Handle< PrsMgr_PresentationManager3d > &thePM, const Quantity_NameOfColor theColor, const Standard_Integer theMode=0)
virtual Standard_Boolean | IsHilighted (const Handle< PrsMgr_PresentationManager > &thePM, const Standard_Integer theMode=0) const
| Returns true if an object with the selection mode aMode is highlighted in the presentation manager aPM. More...
virtual void | Hilight (const Handle< PrsMgr_PresentationManager > &thePM, const Standard_Integer theMode=0)
| Highlights the owner of a detected selectable object in the presentation manager aPM. This object could be the owner of a sensitive primitive. The display mode for the highlight is aMode; this has the default value of 0, that is, wireframe mode. More...
virtual void | Unhilight (const Handle< PrsMgr_PresentationManager > &thePM, const Standard_Integer theMode=0)
| Removes highlighting from the selected part of dimension. More...
Public Member Functions inherited from SelectMgr_EntityOwner
| SelectMgr_EntityOwner (const Standard_Integer aPriority=0)
| Initializes the selection priority aPriority. More...
| SelectMgr_EntityOwner (const Handle< SelectMgr_SelectableObject > &aSO, const Standard_Integer aPriority=0)
| Constructs a framework with the selectable object anSO being attributed the selection priority aPriority. More...
| SelectMgr_EntityOwner (const Handle< SelectMgr_EntityOwner > &theOwner, const Standard_Integer aPriority=0)
| Constructs a framework from existing one anSO being attributed the selection priority aPriority. More...
Standard_Boolean | HasSelectable () const
| Returns true if there is a selectable object to serve as an owner. More...
virtual Handle < SelectMgr_SelectableObject > | Selectable () const
| Returns a selectable object detected in the working context. More...
void | Set (const Handle< SelectMgr_SelectableObject > &aSO)
| Sets the selectable object anSO to be used by the second constructor above. More...
virtual void | Hilight ()
| Provides a framework to highlight any selectable object found subsequently which can serve as an owner of a sensitive primitive. More...
virtual void | Clear (const Handle< PrsMgr_PresentationManager > &aPM, const Standard_Integer aMode=0)
| Clears the owners matching the value of the selection mode aMode from the presentation manager object aPM. More...
virtual Standard_Boolean | HasLocation () const
virtual void | SetLocation (const TopLoc_Location &aLoc)
virtual void | ResetLocation ()
virtual TopLoc_Location | Location () const
void | SetSelected (const Standard_Boolean theIsSelected)
| Set the state of the owner. More...
Standard_Boolean | IsSelected () const
void | State (const Standard_Integer aStatus)
| Set the state of the owner. The method is deprecated. Use SetSelected() instead. More...
Standard_Integer | State () const
virtual Standard_Boolean | IsAutoHilight () const
| if owner is not auto hilighted, for group contains many such owners will be called one method HilightSelected of SelectableObject More...
virtual Standard_Boolean | IsForcedHilight () const
| if this method returns TRUE the owner will allways call method Hilight for SelectableObject when the owner is detected. By default it always return FALSE. More...
virtual void | SetZLayer (const Handle< PrsMgr_PresentationManager > &thePrsMgr, const Standard_Integer theLayerId)
| Set Z layer ID and update all presentations. More...
Public Member Functions inherited from SelectBasics_EntityOwner
void | Set (const Standard_Integer aPriority)
| sets the selectable priority of the owner More...
Standard_Integer | Priority () const
Public Member Functions inherited from MMgt_TShared
virtual void | Delete () const
| Memory deallocator for transient classes. More...
Public Member Functions inherited from Standard_Transient
| Standard_Transient ()
| Empty constructor. More...
| Standard_Transient (const Standard_Transient &)
| Copy constructor – does nothing. More...
Standard_Transient & | operator= (const Standard_Transient &)
| Assignment operator, needed to avoid copying reference counter. More...
virtual | ~Standard_Transient ()
| Destructor must be virtual. More...
virtual const Handle_Standard_Type & | DynamicType () const
| Returns a type information object about this object. More...
Standard_Boolean | IsInstance (const Handle_Standard_Type &theType) const
| Returns a true value if this is an instance of Type. More...
Standard_Boolean | IsInstance (const Standard_CString theTypeName) const
| Returns a true value if this is an instance of TypeName. More...
Standard_Boolean | IsKind (const Handle_Standard_Type &theType) const
| Returns true if this is an instance of Type or an instance of any class that inherits from Type. Note that multiple inheritance is not supported by OCCT RTTI mechanism. More...
Standard_Boolean | IsKind (const Standard_CString theTypeName) const
| Returns true if this is an instance of TypeName or an instance of any class that inherits from TypeName. Note that multiple inheritance is not supported by OCCT RTTI mechanism. More...
virtual Handle_Standard_Transient | This () const
| Returns a Handle which references this object. Must never be called to objects created in stack. More...
Standard_Integer | GetRefCount () const
| Get the reference counter of this object. More...

## Additional Inherited Members
Protected Member Functions inherited from SelectBasics_EntityOwner
| SelectBasics_EntityOwner (const Standard_Integer aPriority=0)
Protected Attributes inherited from SelectBasics_EntityOwner
Standard_Integer | mypriority

## Detailed Description

The owner is the entity which makes it possible to link the sensitive primitives and the reference shapes that you want to detect. It stocks the various pieces of information which make it possible to find objects. An owner has a priority which you can modulate, so as to make one entity more selectable than another. You might want to make edges more selectable than faces, for example. In that case, you could attribute sa higher priority to the one compared to the other. An edge, could have priority 5, for example, and a face, priority 4. The default priority is 5.

## Constructor & Destructor Documentation

AIS_DimensionOwner::AIS_DimensionOwner | ( | const Handle< SelectMgr_SelectableObject > & | theSelObject,
|  | const AIS_DimensionSelectionMode | theSelMode,
|  | const Standard_Integer | thePriority = `0`
| ) |  |

Initializes the dimension owner, theSO, and attributes it the priority, thePriority.

## Member Function Documentation

virtual void AIS_DimensionOwner::Hilight | ( | const Handle< PrsMgr_PresentationManager > & | aPM,
|  | const Standard_Integer | aMode = `0`
| ) |  |
| virtual

Highlights the owner of a detected selectable object in the presentation manager aPM. This object could be the owner of a sensitive primitive. The display mode for the highlight is aMode; this has the default value of 0, that is, wireframe mode.

Reimplemented from SelectMgr_EntityOwner.

virtual void AIS_DimensionOwner::HilightWithColor | ( | const Handle< PrsMgr_PresentationManager3d > & | thePM,
|  | const Quantity_NameOfColor | theColor,
|  | const Standard_Integer | theMode = `0`
| ) |  |
| virtual

Reimplemented from SelectMgr_EntityOwner.

virtual Standard_Boolean AIS_DimensionOwner::IsHilighted | ( | const Handle< PrsMgr_PresentationManager > & | thePM,
|  | const Standard_Integer | theMode = `0`
| ) |  | const
| virtual

Returns true if an object with the selection mode aMode is highlighted in the presentation manager aPM.

Reimplemented from SelectMgr_EntityOwner.

AIS_DimensionSelectionMode AIS_DimensionOwner::SelectionMode | ( |  | ) | const

virtual void AIS_DimensionOwner::Unhilight | ( | const Handle< PrsMgr_PresentationManager > & | thePM,
|  | const Standard_Integer | theMode = `0`
| ) |  |
| virtual

Removes highlighting from the selected part of dimension.

Reimplemented from SelectMgr_EntityOwner.

The documentation for this class was generated from the following file:

- AIS_DimensionOwner.hxx